Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.generic
Class MsgResponse

    java.lang.Object
      be.cin.nip.async.generic.MsgResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:23:37+02:00",
               comments="JAXB RI v2.3.6")
    public class MsgResponse

extends Object
implements Serializable

Java class for MsgResponse complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MsgResponse">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommonOutput" type="{urn:be:cin:mycarenet:esb:common:v2}CommonOutputType"/>
             <element name="Detail" type="{urn:be:cin:types:v1}Blob"/>
             <element name="Xades-t" type="{http://www.w3.org/2005/05/xmlmime}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MsgResponse()`

Method Summary
`CommonOutputType` | `getCommonOutput()` Gets the value of the commonOutput property.
`Blob` | `getDetail()` Gets the value of the detail property.
`Base64Binary` | `getXadesT()` Gets the value of the xadesT property.
`void` | `setCommonOutput(CommonOutputType value)` Sets the value of the commonOutput property.
`void` | `setDetail(Blob value)` Sets the value of the detail property.
`void` | `setXadesT(Base64Binary value)` Sets the value of the xadesT property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsgResponse

    public MsgResponse()

Method Detail

### getCommonOutput

    public CommonOutputType getCommonOutput()

  Gets the value of the commonOutput property.

  Returns:
    possible object is `CommonOutputType`

### setCommonOutput

    public void setCommonOutput(CommonOutputType value)

  Sets the value of the commonOutput property.

  Parameters:
    `value` - allowed object is `CommonOutputType`

### getDetail

    public Blob getDetail()

  Gets the value of the detail property.

  Returns:
    possible object is `Blob`

### setDetail

    public void setDetail(Blob value)

  Sets the value of the detail property.

  Parameters:
    `value` - allowed object is `Blob`

### getXadesT

    public Base64Binary getXadesT()

  Gets the value of the xadesT property.

  Returns:
    possible object is `Base64Binary`

### setXadesT

    public void setXadesT(Base64Binary value)

  Sets the value of the xadesT property.

  Parameters:
    `value` - allowed object is `Base64Binary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.